OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepGeom

# StepGeom_Circle Class Reference

`#include <StepGeom_Circle.hxx>`

Inheritance diagram for StepGeom_Circle:

[legend]

## Public Member Functions
Standard_EXPORT | StepGeom_Circle ()
| Returns a Circle .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const StepGeom_Axis2Placement &aPosition)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const StepGeom_Axis2Placement &aPosition, const Standard_Real aRadius)
Standard_EXPORT void | SetRadius (const Standard_Real aRadius)
Standard_EXPORT Standard_Real | Radius () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Real | radius

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_Circle::StepGeom_Circle | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepGeom_Circle::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_Conic.

virtual Standard_EXPORT void StepGeom_Circle::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const StepGeom_Axis2Placement & | aPosition,
|  | const Standard_Real | aRadius
| ) | `[virtual]`

virtual Standard_EXPORT void StepGeom_Circle::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const StepGeom_Axis2Placement & | aPosition
| ) | `[virtual]`

| Reimplemented from StepGeom_Conic.

Standard_EXPORT Standard_Real StepGeom_Circle::Radius | ( |  | ) | const

Standard_EXPORT void StepGeom_Circle::SetRadius | ( | const Standard_Real | aRadius | ) |

## Field Documentation

Standard_Real StepGeom_Circle::radius`[private]`

The documentation for this class was generated from the following file:

- StepGeom_Circle.hxx